diff -Nurp tpb-0.6.4.debian/debian/changelog tpb-0.6.4-6ubuntu1/debian/changelog
--- tpb-0.6.4.debian/debian/changelog	2010-12-16 09:55:47.000000000 +0700
+++ tpb-0.6.4-6ubuntu1/debian/changelog	2010-12-17 15:48:35.297069000 +0700
@@ -1,3 +1,13 @@
+tpb (0.6.4-6ubuntu1) natty; urgency=low
+
+  * Merge from debian unstable (LP: #12345)
+  * Keep Ubuntu changes
+    - debian/init.d, intialize LSB informations (LP: #446703)
+    - debian/rules, starting tpb at startup (LP: #146987)
+    - debian/patches/01_fix_xosd_aclocal.dpatch
+
+ -- Mahyuddin Susanto <udienz@gmail.com>  Fri, 17 Dec 2010 11:26:38 +0700
+
 tpb (0.6.4-6) unstable; urgency=low
 
   * Fix pending l10n issues with new/updated Debconf translations. Thanks
@@ -42,6 +52,27 @@ tpb (0.6.4-3) unstable; urgency=low
 
  -- Steve McIntyre <93sam@debian.org>  Tue, 22 Sep 2009 23:38:41 +0100
 
+tpb (0.6.4-2.3ubuntu3) gutsy; urgency=low
+
+  * debian/init.d: Fixed typo (s/tbp/tpb/), thanks Adrian Frith.
+    This does not affect Debian, where no init script seems to be used.
+    (LP: #149153)
+
+ -- dAniel hAhler <ubuntu@thequod.de>  Fri, 05 Oct 2007 00:03:40 +0200
+
+tpb (0.6.4-2.3ubuntu2) gutsy; urgency=low
+
+  * Actually load tpb in the init script. (LP: #146987)
+
+ -- Chuck Short  <zulcss@ubuntu.com>  Wed, 03 Oct 2007 20:20:23 -0400
+
+tpb (0.6.4-2.3ubuntu1) gutsy; urgency=low
+
+  * Merge from Debian unstable (LP: #133051): keep all ubuntu changes.
+  * Modify Maintainer value to match Debian-Maintainer-Field Spec
+
+ -- Cesare.Tirabassi <cesare.tirabassi@gmail.com>  Fri, 17 Aug 2007 00:12:32 +0200
+
 tpb (0.6.4-2.3) unstable; urgency=low
 
   * NMU
@@ -54,6 +85,13 @@ tpb (0.6.4-2.3) unstable; urgency=low
 
  -- Clint Adams <schizo@debian.org>  Fri, 20 Jul 2007 23:52:06 -0400
 
+tpb (0.6.4-2.2ubuntu1) feisty; urgency=low
+
+  * Merge from debian unstable.
+  * Keep all ubuntu changes 
+
+ -- Sarah Hobbs <hobbsee@ubuntu.com>  Thu, 23 Nov 2006 18:09:27 +1100
+
 tpb (0.6.4-2.2) unstable; urgency=high
 
   * Non-maintainer upload.
@@ -62,6 +100,12 @@ tpb (0.6.4-2.2) unstable; urgency=high
 
  -- Steinar H. Gunderson <sesse@debian.org>  Tue, 21 Nov 2006 19:13:59 +0100
 
+tpb (0.6.4-2.1ubuntu1) edgy; urgency=low
+
+  * Merge from debian unstable.
+
+ -- Sarah Hobbs <hobbsee@ubuntu.com>  Sun, 23 Jul 2006 12:48:37 +1000
+
 tpb (0.6.4-2.1) unstable; urgency=low
 
   * Non-maintainer upload.
@@ -71,6 +115,12 @@ tpb (0.6.4-2.1) unstable; urgency=low
 
  -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 21 Jan 2006 19:22:28 +0100
 
+tpb (0.6.4-2ubuntu1) dapper; urgency=low
+
+  * Merge with Debian.
+
+ -- Christian Bjälevik <nafallo@ubuntu.com>  Wed, 16 Nov 2005 12:59:17 +0100
+
 tpb (0.6.4-2) unstable; urgency=low
 
   * Include Vietnamese translation of tpb debconf messages (Closes: #322322)
@@ -85,6 +135,39 @@ tpb (0.6.4-1) unstable; urgency=low
 
  -- Markus Braun <mbr@debian.org>  Mon, 25 Jul 2005 10:48:00 +0200
 
+tpb (0.6.4-1ubuntu2) breezy; urgency=low
+
+  * dammit typo in init script :(
+
+ -- Reinhard Tartler <siretart@tauware.de>  Thu,  8 Sep 2005 10:47:52 +0200
+
+tpb (0.6.4-1ubuntu1) breezy; urgency=low
+
+  * resyncronize with debian
+  * added init script, that checks if nvram is already loaded, and load if
+    necessary (Closes Malone: #589)
+  * cleanups in debian/rules
+  * bumped Standard Version (no changes)
+  * add debhelper token to debian/postrm and debian/preinst
+  * call tbp with locale "C" since the transcoded fonts are currently not
+    available in ubuntu
+
+ -- Reinhard Tartler <siretart@tauware.de>  Thu,  8 Sep 2005 08:49:08 +0200
+
+tpb (0.6.4-1) unstable; urgency=low
+
+  * New upstream release (Closes: #303193, #318381)
+
+ -- Markus Braun <mbr@debian.org>  Mon, 25 Jul 2005 10:48:00 +0200
+
+tpb (0.6.3-2ubuntu1) breezy; urgency=low
+
+  * added dpatch
+  * fixed aclocal xosd script
+  * relibtoolized
+
+ -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 May 2005 13:36:46 +0000
+
 tpb (0.6.3-2) unstable; urgency=low
 
   * Include Czech translation of tpb debconf messages (Closes: #294747)
diff -Nurp tpb-0.6.4.debian/debian/control tpb-0.6.4-6ubuntu1/debian/control
--- tpb-0.6.4.debian/debian/control	2010-12-16 09:55:47.000000000 +0700
+++ tpb-0.6.4-6ubuntu1/debian/control	2010-12-17 12:18:16.133069001 +0700
@@ -1,7 +1,8 @@
 Source: tpb
 Section: utils
 Priority: extra
-Maintainer: Steve McIntyre <93sam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> 
+XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 6), libx11-dev, libxt-dev, libxosd-dev, gettext, po-debconf
 Standards-Version: 3.9.1
 
diff -Nurp tpb-0.6.4.debian/debian/init.d tpb-0.6.4-6ubuntu1/debian/init.d
--- tpb-0.6.4.debian/debian/init.d	1970-01-01 07:00:00.000000000 +0700
+++ tpb-0.6.4-6ubuntu1/debian/init.d	2010-12-17 15:47:30.321069001 +0700
@@ -0,0 +1,36 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: tpb
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description:
+# Description:
+### END INIT INFO
+
+test -f /lib/lsb/init-functions || exit 1
+. /lib/lsb/init-functions
+
+case "$1" in
+  start)
+	/sbin/lsmod | /bin/grep nvram > /dev/null
+        if [ $? != 0 ]
+	then
+		log_begin_msg "Loading nvram module"
+		modprobe nvram
+		log_end_msg 0
+	fi
+	tpb -d
+	;;
+  stop)
+	;;
+  restart|force-reload)
+	;;
+  *)
+	echo "Usage: tpb {start|stop|restart|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0
diff -Nurp tpb-0.6.4.debian/debian/patches/01_fix_xosd_aclocal.dpatch tpb-0.6.4-6ubuntu1/debian/patches/01_fix_xosd_aclocal.dpatch
--- tpb-0.6.4.debian/debian/patches/01_fix_xosd_aclocal.dpatch	1970-01-01 07:00:00.000000000 +0700
+++ tpb-0.6.4-6ubuntu1/debian/patches/01_fix_xosd_aclocal.dpatch	2010-10-21 00:46:21.000000000 +0700
@@ -0,0 +1,28 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 01_fix_xosd_aclocal.dpatch by Reinhard Tartler <siretart@tauware.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad tpb-0.6.3/aclocal/libxosd_version.m4 /tmp/dpep.AjjeDK/tpb-0.6.3/aclocal/libxosd_version.m4
+--- tpb-0.6.3/aclocal/libxosd_version.m4	2004-04-22 13:15:27.000000000 +0000
++++ /tmp/dpep.AjjeDK/tpb-0.6.3/aclocal/libxosd_version.m4	2005-05-28 13:47:57.077629328 +0000
+@@ -58,7 +58,7 @@
+ 	    [
+ 	      void test()
+ 	      {
+-		xosd* t = xosd_init("font", "colour", 0, XOSD_top, 0, 0, 0);
++		xosd* t = xosd_create(2);
+ 	      }
+ 	    ],
+ 	    [
+@@ -77,7 +77,7 @@
+ 		[
+ 		  void test()
+ 		  {
+-		    xosd* t = xosd_init("font", "colour", 0, XOSD_top, 0, 0);
++		    xosd* t = xosd_create(2);
+ 		  }
+ 		],
+ 		[
diff -Nurp tpb-0.6.4.debian/debian/rules tpb-0.6.4-6ubuntu1/debian/rules
--- tpb-0.6.4.debian/debian/rules	2010-12-16 09:55:47.000000000 +0700
+++ tpb-0.6.4-6ubuntu1/debian/rules	2010-12-17 12:45:58.549069001 +0700
@@ -73,6 +73,7 @@ binary-arch: build install
 	cp debian/tpb.xsession debian/tpb/etc/X11/Xsession.d/90tpb
 	dh_installdebconf
 	dh_installdocs
+	dh_installinit -- start 99 2 3 4 5 . stop 20 0 1 6 .
 	dh_installudev --priority=92
 #	dh_installexamples
 #	dh_installmenu